desync(1)

NAME
desync-chop - Read chunks from a file according to an index

SYNOPSIS
desync chop <index> <file> [flags]

DESCRIPTION
Reads the index and extracts all referenced chunks from the file into a store, local or remote.

Does not modify the input file or index in any way. It's used to populate a chunk store by chopping up a file according to an existing index. To exclude chunks that are known to exist in the target store already, use --ignore <index> which will skip any chunks from the given index. The same can be achieved by providing the chunks in their ASCII representation in a text file with --ignore-chunks <file>.

Use '-' to read the index from STDIN.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for chop

--ignore=[]
    index(es) with chunks to be excluded

--ignore-chunks=[]
    text file with chunk IDs to be excluded

-s, --store=""
    target store

-t, --trust-insecure[=false]
    trust invalid certificates

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync chop -s sftp://192.168.1.1/store file.caibx largefile.bin

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra